The Eden API is a RESTful API that allows you to interact with the Eden platform. It is designed to be easy to use and understand, and is built on top of the OpenAPI specification. It is accessible at https://api.eden.art.
All API endpoints are authenticated using API keys and picked up from the specification file.
"security": [ { "x-api-key": [] }]
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Eden Documentation","colors":{"primary":"#6912ba","light":"#9e66f7","dark":"#7025a3"},"logo":{"light":"https://mintcdn.com/eden-47189371/Yc2hkegCh-7zox8c/light.png?fit=max\u0026auto=format\u0026n=Yc2hkegCh-7zox8c\u0026q=85\u0026s=db399b43dd8e38bb79735bebfb693d8a","dark":"https://mintcdn.com/eden-47189371/Yc2hkegCh-7zox8c/eden-logo-with-text.png?fit=max\u0026auto=format\u0026n=Yc2hkegCh-7zox8c\u0026q=85\u0026s=bc6dfac05bba746ccfccbf137cf060f9"},"favicon":"https://mintcdn.com/eden-47189371/Yc2hkegCh-7zox8c/favicon.ico?fit=max\u0026auto=format\u0026n=Yc2hkegCh-7zox8c\u0026q=85\u0026s=398a6b5df84f64082868d2b0aa1357ff","api":{"playground":{}},"navbar":{"links":[{"href":"https://discord.gg/4dSYwDT","label":"Support"}],"primary":{"type":"button","label":"Eden App","href":"https://app.eden.art"}},"footer":{"socials":{"x":"https://x.com/eden_art_","instagram":"https://instagram.com/edenartlab","github":"https://github.com/edenartlab","discord":"https://discord.com/invite/4dSYwDT"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"eden-47189371","hasAudioNarration":false,"actualSubdomain":"eden-47189371","customDomains":["docs.eden.art"],"gitSource":{"type":"github","owner":"edenartlab","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aaac419cd4b111a7670c30d","collectionId":"95a16c21-0b53-4851-a840-9ae09c369bff","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aaac419cd4b111a7670c30d"},"entitlements":{},"buildId":"6aaac419cd4b111a7670c30d","clientVersion":"0.0.3926","searchFilterCounts":[{"language":"default","tag":"API reference","count":95},{"language":"default","tag":"API Reference","count":94},{"language":"default","tag":"Tools","count":31},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Agents","count":13},{"language":"default","tag":"Sessions","count":13},{"language":"default","tag":"Agents - Memory","count":11},{"language":"default","tag":"Video Generation","count":10},{"language":"default","tag":"Collections","count":9},{"language":"default","tag":"Image Generation","count":7}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/introduction","slug":"/api-reference/introduction","pageMetadata":{"title":"Introduction","description":"Eden API Reference","href":"/api-reference/introduction","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Eden API Reference\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Heading}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsxs(_components.p,{children:[`The Eden API is a RESTful API that allows you to interact with the Eden platform. It is designed to be easy to use and understand, and is built on top of the OpenAPI specification. It is accessible at `,_jsx(_components.a,{href:`https://api.eden.art`,children:`https://api.eden.art`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`authentication`,children:`Authentication`}),`\n`,_jsx(_components.p,{children:`All API endpoints are authenticated using API keys and picked up from the specification file.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"security\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"x-api-key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: []`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Introduction","description":"Eden API Reference","href":"/api-reference/introduction","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[]},{"title":"Authentication","slug":"authentication","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"eden-47189371","siteName":"Eden Documentation","title":"Introduction - Eden Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-18T16:52:39.877Z","originalFileLocation":"api-reference/introduction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Eden API Reference\">\u003cmeta data-mint-head name=\"application-name\" content=\"Eden Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Introduction - Eden Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Eden API Reference\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Eden Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.eden.art/api-reference/introduction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://eden-47189371.mintlify.app/_mintlify/api/og/v2?division=API+documentation\u0026amp;title=Introduction\u0026amp;description=Eden+API+Reference\u0026amp;theme=d614d792be5c185c44b9e23a\u0026amp;signature=0828d573ebc2e270ac99e6dd8703d361a5ebf2276b9b4701206d3dabf6420ed4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Introduction - Eden Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Eden API Reference\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://eden-47189371.mintlify.app/_mintlify/api/og/v2?division=API+documentation\u0026amp;title=Introduction\u0026amp;description=Eden+API+Reference\u0026amp;theme=d614d792be5c185c44b9e23a\u0026amp;signature=0828d573ebc2e270ac99e6dd8703d361a5ebf2276b9b4701206d3dabf6420ed4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/eden-47189371/JqkBsVvzaEoAyC7w/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Eden Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6912ba\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.eden.art/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/introduction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.eden.art/#organization\",\"name\":\"Eden Documentation\",\"url\":\"https://docs.eden.art\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/eden-47189371/Yc2hkegCh-7zox8c/light.png?fit=max\u0026auto=format\u0026n=Yc2hkegCh-7zox8c\u0026q=85\u0026s=db399b43dd8e38bb79735bebfb693d8a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.eden.art#website\",\"name\":\"Eden Documentation\",\"url\":\"https://docs.eden.art\",\"publisher\":{\"@id\":\"https://docs.eden.art/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.eden.art/api-reference/introduction#webpage\",\"url\":\"https://docs.eden.art/api-reference/introduction\",\"name\":\"Introduction\",\"description\":\"Eden API Reference\",\"dateModified\":\"2025-10-18T16:52:39.877Z\",\"isPartOf\":{\"@id\":\"https://docs.eden.art#website\"},\"breadcrumb\":{\"@id\":\"https://docs.eden.art/api-reference/introduction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.eden.art/api-reference/introduction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Eden Documentation\",\"item\":\"https://docs.eden.art\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Introduction\",\"item\":\"https://docs.eden.art/api-reference/introduction\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.eden.art/api-reference/introduction#article\",\"headline\":\"Introduction\",\"name\":\"Introduction\",\"description\":\"Eden API Reference\",\"url\":\"https://docs.eden.art/api-reference/introduction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.eden.art/api-reference/introduction#webpage\"},\"dateModified\":\"2025-10-18T16:52:39.877Z\",\"publisher\":{\"@id\":\"https://docs.eden.art/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.eden.art#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Eden Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Eden Documentation","nav":{"global":{"anchors":[]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"Tools","pages":[{"title":"Tools","href":"/tools/flux_kontext"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations/overview"}]},{"tab":"API reference","groups":[{"group":"API documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"API Reference","pages":[{"group":"Agent Creation","pages":[{"title":"Extract Agent Prompts","description":"Extract agent persona, description, and memory instructions from a conversation session","deprecated":null,"version":null,"openapi":"/openapi.json post /agent_creation/extract_prompts","href":"/api-reference/agent-creation/extract-agent-prompts"}]},{"group":"Agents","pages":[{"title":"List Agents","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents","href":"/api-reference/agents/list-agents"},{"title":"Create New Agent","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/agents","href":"/api-reference/agents/create-new-agent"},{"title":"Get Shared Agents","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/shared","href":"/api-reference/agents/get-shared-agents"},{"title":"Get Agent Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}","href":"/api-reference/agents/get-agent-details"},{"title":"Delete Agent","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/agents/{agentId}","href":"/api-reference/agents/delete-agent"},{"title":"Update Agent","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/agents/{agentId}","href":"/api-reference/agents/update-agent"},{"title":"Get Agent Creations","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/creations","href":"/api-reference/agents/get-agent-creations"},{"title":"Get Agent Dashboard","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/dashboard","href":"/api-reference/agents/get-agent-dashboard"},{"title":"Like Agent","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/agents/{agentId}/like","href":"/api-reference/agents/like-agent"},{"title":"Unlike Agent","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/agents/{agentId}/like","href":"/api-reference/agents/unlike-agent"},{"title":"Get Agent Permissions","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/permissions","href":"/api-reference/agents/get-agent-permissions"},{"title":"Update Agent Permissions","deprecated":null,"version":null,"openapi":"/openapi.json put /v2/agents/{agentId}/permissions","href":"/api-reference/agents/update-agent-permissions"},{"title":"Toggle Memory Setting","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/agents/{agentId}/user-memory-enabled","href":"/api-reference/agents/toggle-memory-setting"}]},{"group":"Agents - Deployments","pages":[{"title":"Get User Deployments","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/deployments","href":"/api-reference/agents--deployments/get-user-deployments"},{"title":"Get Agent Deployments","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/deployments","href":"/api-reference/agents--deployments/get-agent-deployments"},{"title":"Deploy Agent","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/agents/{agentId}/deployments","href":"/api-reference/agents--deployments/deploy-agent"},{"title":"Update Agent Deployment","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/agents/{agentId}/deployments","href":"/api-reference/agents--deployments/update-agent-deployment"},{"title":"Delete Agent Deployment","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/agents/{agentId}/deployments/{platform}","href":"/api-reference/agents--deployments/delete-agent-deployment"}]},{"group":"Agents - Memory","pages":[{"title":"Get Agent Memory","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/memory","href":"/api-reference/agents--memory/get-agent-memory"},{"title":"Save Agent Memory","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/agents/{agentId}/memory","href":"/api-reference/agents--memory/save-agent-memory"},{"title":"Get Collective Memory","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/memory-agent","href":"/api-reference/agents--memory/get-collective-memory"},{"title":"Create Memory Shard","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/agents/{agentId}/memory-agent","href":"/api-reference/agents--memory/create-memory-shard"},{"title":"Update Memory Agent","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/agents/{agentId}/memory-agent/{memoryAgentId}","href":"/api-reference/agents--memory/update-memory-agent"},{"title":"Remove Agent Memory","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/agents/{agentId}/memory-agent/{memoryAgentId}/memory/{memoryId}","href":"/api-reference/agents--memory/remove-agent-memory"},{"title":"Get Memory User","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/memory-user","href":"/api-reference/agents--memory/get-memory-user"},{"title":"Update Memory User","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/agents/{agentId}/memory-user","href":"/api-reference/agents--memory/update-memory-user"},{"title":"Remove Unabsorbed Memory","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/agents/{agentId}/memory/{memoryId}","href":"/api-reference/agents--memory/remove-unabsorbed-memory"},{"title":"Get Memory Session","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/memory-sessions/{memoryId}","href":"/api-reference/agents--memory/get-memory-session"},{"title":"Update Memory Session","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/memory-sessions/{memoryId}","href":"/api-reference/agents--memory/update-memory-session"}]},{"group":"Agents - Triggers","pages":[{"title":"Get User Triggers","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/triggers","href":"/api-reference/agents--triggers/get-user-triggers"},{"title":"Get Agent Triggers","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/triggers","href":"/api-reference/agents--triggers/get-agent-triggers"},{"title":"Create Agent Trigger","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/agents/{agentId}/triggers","href":"/api-reference/agents--triggers/create-agent-trigger"},{"title":"Get Single Trigger","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/agents/{agentId}/triggers/{triggerId}","href":"/api-reference/agents--triggers/get-single-trigger"},{"title":"Delete Agent Trigger","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/agents/{agentId}/triggers/{triggerId}","href":"/api-reference/agents--triggers/delete-agent-trigger"},{"title":"Update Agent Trigger","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/agents/{agentId}/triggers/{triggerId}","href":"/api-reference/agents--triggers/update-agent-trigger"}]},{"group":"API Keys","pages":[{"title":"List API Keys","deprecated":null,"version":null,"openapi":"/openapi.json get /apikeys","href":"/api-reference/api-keys/list-api-keys"},{"title":"Create API Key","deprecated":null,"version":null,"openapi":"/openapi.json post /apikeys","href":"/api-reference/api-keys/create-api-key"},{"title":"Delete API Key","deprecated":null,"version":null,"openapi":"/openapi.json delete /apikeys","href":"/api-reference/api-keys/delete-api-key"}]},{"group":"Collections","pages":[{"title":"Create New Collection","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/collections","href":"/api-reference/collections/create-new-collection"},{"title":"Get User Collections Light","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/collections/light","href":"/api-reference/collections/get-user-collections-light"},{"title":"Get Collection Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/collections/{collectionId}","href":"/api-reference/collections/get-collection-details"},{"title":"Delete Collection","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/collections/{collectionId}","href":"/api-reference/collections/delete-collection"},{"title":"Update Collection","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/collections/{collectionId}","href":"/api-reference/collections/update-collection"},{"title":"Get Collection Creations","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/collections/{collectionId}/creations","href":"/api-reference/collections/get-collection-creations"},{"title":"Add Creations","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/collections/{collectionId}/creations/add","href":"/api-reference/collections/add-creations"},{"title":"Remove Creations","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/collections/{collectionId}/creations/remove","href":"/api-reference/collections/remove-creations"},{"title":"Download Collection","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/collections/{collectionId}/download","href":"/api-reference/collections/download-collection"}]},{"group":"Concepts V2","pages":[{"title":"List User Concepts","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/concepts","href":"/api-reference/concepts-v2/list-user-concepts"},{"title":"Create Concept","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/concepts","href":"/api-reference/concepts-v2/create-concept"},{"title":"Get Concept","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/concepts/{conceptId}","href":"/api-reference/concepts-v2/get-concept"},{"title":"Delete Concept","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/concepts/{conceptId}","href":"/api-reference/concepts-v2/delete-concept"},{"title":"Update Concept","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/concepts/{conceptId}","href":"/api-reference/concepts-v2/update-concept"}]},{"group":"Creations","pages":[{"title":"List Creations","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/creations","href":"/api-reference/creations/list-creations"},{"title":"Bulk Update Creations","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/creations/bulk","href":"/api-reference/creations/bulk-update-creations"},{"title":"Search Creations by Embedding","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/creations/search","href":"/api-reference/creations/search-creations-by-embedding"},{"title":"Get Creation Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/creations/{creationId}","href":"/api-reference/creations/get-creation-details"},{"title":"Update Creation","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/creations/{creationId}","href":"/api-reference/creations/update-creation"},{"title":"Like Creation","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/creations/{creationId}/like","href":"/api-reference/creations/like-creation"},{"title":"Unlike Creation","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/creations/{creationId}/like","href":"/api-reference/creations/unlike-creation"}]},{"group":"Creators","pages":[{"title":"List Creators","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/creators","href":"/api-reference/creators/list-creators"},{"title":"Check Username Availability","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/creators/check-username","href":"/api-reference/creators/check-username-availability"},{"title":"Get Authenticated Creator Profile","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/creators/me","href":"/api-reference/creators/get-authenticated-creator-profile"},{"title":"Update Creator Profile","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/creators/update","href":"/api-reference/creators/update-creator-profile"},{"title":"Get Creator Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/creators/{userId}","href":"/api-reference/creators/get-creator-details"}]},{"group":"Manna","pages":[{"title":"Redeem Manna Voucher","deprecated":null,"version":null,"openapi":"/openapi.json post /manna/vouchers/redeem","href":"/api-reference/manna/redeem-manna-voucher"}]},{"group":"Models","pages":[{"title":"Get Model Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/models/{modelId}","href":"/api-reference/models/get-model-details"},{"title":"Update Model","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/models/{modelId}","href":"/api-reference/models/update-model"},{"title":"Like Model","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/models/{modelId}/like","href":"/api-reference/models/like-model"},{"title":"Unlike Model","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/models/{modelId}/like","href":"/api-reference/models/unlike-model"}]},{"group":"Sessions","pages":[{"title":"List User Sessions","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/sessions","href":"/api-reference/sessions/list-user-sessions"},{"title":"Interact with Session","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/sessions","href":"/api-reference/sessions/interact-with-session"},{"title":"Create New Session","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/sessions/create","href":"/api-reference/sessions/create-new-session"},{"title":"React to Message","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/sessions/react","href":"/api-reference/sessions/react-to-message"},{"title":"Get Shared Session","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/sessions/share/{share_id}","href":"/api-reference/sessions/get-shared-session"},{"title":"Delete Session Share","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/sessions/share/{share_id}","href":"/api-reference/sessions/delete-session-share"},{"title":"List User Shares","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/sessions/shares","href":"/api-reference/sessions/list-user-shares"},{"title":"Get Session Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/sessions/{session_id}","href":"/api-reference/sessions/get-session-details"},{"title":"Delete Session","deprecated":null,"version":null,"openapi":"/openapi.json delete /v2/sessions/{session_id}","href":"/api-reference/sessions/delete-session"},{"title":"Update Session","deprecated":null,"version":null,"openapi":"/openapi.json patch /v2/sessions/{session_id}","href":"/api-reference/sessions/update-session"},{"title":"Cancel Session","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/sessions/{session_id}/cancel","href":"/api-reference/sessions/cancel-session"},{"title":"Get Session Messages (Paginated)","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/sessions/{session_id}/messages","href":"/api-reference/sessions/get-session-messages-paginated"},{"title":"Share Session","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/sessions/{session_id}/share","href":"/api-reference/sessions/share-session"}]},{"group":"Sessions - Permissions","pages":[{"title":"Get Shared Sessions","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/sessions/shared","href":"/api-reference/sessions--permissions/get-shared-sessions"},{"title":"Get Session Permissions","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/sessions/{session_id}/permissions","href":"/api-reference/sessions--permissions/get-session-permissions"},{"title":"Update Session Permissions","deprecated":null,"version":null,"openapi":"/openapi.json put /v2/sessions/{session_id}/permissions","href":"/api-reference/sessions--permissions/update-session-permissions"}]},{"group":"Tasks","pages":[{"title":"List User Tasks","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/tasks","href":"/api-reference/tasks/list-user-tasks"},{"title":"Cancel Running Task","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/tasks/cancel","href":"/api-reference/tasks/cancel-running-task"},{"title":"Calculate Task Cost","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/tasks/cost","href":"/api-reference/tasks/calculate-task-cost"},{"title":"Create New Task","deprecated":null,"version":null,"openapi":"/openapi.json post /v2/tasks/create","href":"/api-reference/tasks/create-new-task"},{"title":"Subscribe Task Events","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/tasks/events","href":"/api-reference/tasks/subscribe-task-events"},{"title":"Get Task Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/tasks/{taskId}","href":"/api-reference/tasks/get-task-details"}]},{"group":"Tools","pages":[{"title":"List Available Tools","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/tools","href":"/api-reference/tools/list-available-tools"},{"title":"Get Tool Details","deprecated":null,"version":null,"openapi":"/openapi.json get /v2/tools/{toolKey}","href":"/api-reference/tools/get-tool-details"}]}]}]}]},"title":"Introduction - Eden Documentation","buildId":"dpl_9DauxEjb9gzCtcuhPQFbquJvx7FJ","deploymentId":"dpl_9DauxEjb9gzCtcuhPQFbquJvx7FJ","dynamics":[],"chunks":[]}